<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 *
 * @package drvng
 */

if ( post_password_required() ) { return; }
?>
	<div class="comments-area">
		<div class="group-title">
			<h3><?php comments_number( esc_html__( 'No Comments', 'drvng' ), esc_html__( '1 Comment', 'drvng' ), '% ' . esc_html__( 'Comments', 'drvng' ) ); ?></h3>
		</div>
		<ol class="comment-list">
			<?php
			wp_list_comments(
				array(
					'avatar_size' => 65,
					'style'       => 'ul',
					'callback'    => 'drvng_comments_list',
					'type'        => 'all',
				)
			);
			?>
		</ol>

		<?php
		the_comments_pagination(
			array(
				'prev_text' => '<i class="fa fa-angle-left" aria-hidden="true"></i> <span class="screen-reader-text">' . __( 'Previous', 'drvng' ) . '</span>',
				'next_text' => '<span class="screen-reader-text">' . __( 'Next', 'drvng' ) . '</span> <i class="fa fa-angle-right" aria-hidden="true"></i>',
			)
		);
		?>
	</div>
	<!--End Comments Area-->

	<?php if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) { ?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'drvng' ); ?></p>
	<?php } ?>
	<!-- Comment Form -->
	<div class="comment-form">
		<?php
		$drvng_name_field_placeholder    = __( 'Your Name *', 'drvng' );
		$drvng_email_field_placeholder   = __( 'Email *', 'drvng' );
		$drvng_comment_field_placeholder = __( 'Add Comment', 'drvng' );
		$drvng_comment_submit_text       = __( 'Post comment', 'drvng' );
		$drvng_cookie_placeholder        = __( 'Save my name, email, and website in this browser for the next time I comment.', 'drvng' );
		$drvng_comment_fields            = array();

		$drvng_comment_fields['commenter_name']  = <<<EOD

<div class="form-group col-lg-6 col-md-6 col-sm-12">
	<input type="text" name="author" placeholder="{$drvng_name_field_placeholder}" required>
</div>
EOD;
		$drvng_comment_fields['commenter_email'] = <<<EOD
<div class="form-group col-lg-6 col-md-6 col-sm-12">
<input type="email" name="email" placeholder="{$drvng_email_field_placeholder}" required>
</div>
EOD;
		$drvng_comment_fields['cookies']         = <<<EOD
<div class="form-group form-check">
	<input class="form-check-input" type="checkbox" value="" id="wp-comment-cookies-consent" name="wp-comment-cookies-consent">
	<label class="form-check-label" for="wp-comment-cookies-consent">{$drvng_cookie_placeholder}</label>
</div>

EOD;
		$drvng_comment_textbox                   = <<<EOD
<div class="form-group col-lg-12 col-md-12 col-sm-12">
<textarea class="darma" name="comment" placeholder="{$drvng_comment_field_placeholder}"></textarea>
</div>

EOD;
		$drvng_comment_submit                    = <<<EOD
<div class="form-group col-lg-6 col-md-6 col-sm-12">
<button class="theme-btn btn-style-one" type="submit" name="submit-form"><span class="btn-title">{$drvng_comment_submit_text}</span></button>
</div>
EOD;

		$drvng_comment_form_args = array(
			'fields'              => $drvng_comment_fields,
			'comment_field'       => $drvng_comment_textbox,
			'submit_button'       => $drvng_comment_submit,
			'class_form'          => 'row clearfix',
			'title_reply'         => __( 'Leave a comment', 'drvng' ),
			'title_reply_before'  => '<div class="group-title"><h3>',
			'title_reply_after'   => '</h3></div>',
			'comment_notes_after' => '',
		);

		comment_form( $drvng_comment_form_args );
		?>
	
	</div>
