<header class="main-header header-style-two">
    <?php
			if ( true == get_theme_mod( 'header_top_option', true ) ) :
			?>
    <div class="header-top">
        <div class="auto-container">
            <div class="inner-container">
                <div class="left-column">
                    <ul class="contact-info">
                        <?php if(get_theme_mod( 'header_address_text')) { ?><li><i class="flaticon-pin"></i><?php echo wp_kses_post( get_theme_mod( 'header_address_text', 'drvng') );?></li><?php } ?>
                        <?php if(get_theme_mod( 'header_mail_address')) { ?><li><a href="mailto:<?php echo esc_attr( get_theme_mod( 'header_mail_address', 'drvng') );?>"><i class="flaticon-email"></i><?php echo wp_kses_post( get_theme_mod( 'header_mail_address') );?></a></li><?php } ?>
                        <?php if(get_theme_mod( 'header_office_hour', 'drvng')){ ?><li><i class="flaticon-clock"></i><?php echo wp_kses_post( get_theme_mod( 'header_office_hour', 'drvng') );?></li><?php } ?>
                    </ul>
                </div>
                <div class="right-column">
                    <?php if(get_theme_mod( 'mobile_menu_social_icons')){ ?><ul class="social-icon">
                        <?php
				                $korona_mobile_menu_social_settings_defaults = [
				                    [
				                        'link_icon' => esc_html('fa-facebook-f'),
				                        'link_url'  => esc_url('https://facebook.org/'),
				                    ],
				                    [
				                        'link_icon'  => esc_html('fa-twitter'),
				                        'link_url' => esc_url('https://twitter.org/'),
				                    ],
				                ];
				                $korona_mobile_menu_social_settings = get_theme_mod('mobile_menu_social_icons', $korona_mobile_menu_social_settings_defaults);
				                foreach ($korona_mobile_menu_social_settings as $korona_mobile_menu_social_setting) : ?>
						<li><a href="<?php echo esc_url($korona_mobile_menu_social_setting['link_url']); ?>" class="fab <?php echo esc_attr($korona_mobile_menu_social_setting['link_icon']); ?>"></a></li>
				                <?php endforeach; ?>
                    </ul>
					<?php } ?>
                </div>
            </div>
        </div>
    </div>
	<?php endif ?>

    <!-- Header Upper -->
    <div class="header-upper">
        <div class="auto-container">
            <div class="inner-container">
                <!--Logo-->
                <div class="logo-box">
					<div class="logo">
                    	<?php $header_dark_logo = get_theme_mod( 'header_dark_logo_url', 'drvng' ); ?>
                        <a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><img src="<?php echo esc_url( $header_dark_logo ); ?>" alt="<?php bloginfo('name'); ?>"></a>
                    </div>
                    
                </div>
                <div class="right-column">
                    <!--Nav Box-->
                    <div class="nav-outer">
                        <!--Mobile Navigation Toggler-->
                        <div class="mobile-nav-toggler"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/icons/icon-bar.png" alt=""></div>

                        <!-- Main Menu -->
                        <nav class="main-menu navbar-expand-md navbar-light">
                        <?php
                                wp_nav_menu(
                                    array(
                                        'theme_location'  => 'primary',
                                        'depth'           => 3,
                                        'container'       => 'div',
                                        'container_class' => 'collapse navbar-collapse show clearfix',
                                        'container_id'    => 'navbarSupportedContent',
                                        'menu_class'      => 'navigation',
                                        'fallback_cb'     => 'WP_Bootstrap_Navwalker::fallback',
                                        'walker'          => new WP_Bootstrap_Navwalker(),
                                    )
                                );
                            ?>
                        </nav>
                    </div>
                    <div class="navbar-right">
                        <button type="button" class="theme-btn search-toggler"><i class="flaticon-magnifying-glass"></i></button>
                    </div>
                </div>                        
            </div>
        </div>
    </div>
    <!--End Header Upper-->

    <!-- Sticky Header  -->
    <div class="sticky-header">
        <div class="header-upper">
            <div class="auto-container">
                <div class="inner-container">
                    <!--Logo-->
                    <div class="logo-box">
                        <div class="logo">
                    	<?php $header_dark_logo = get_theme_mod( 'header_dark_logo_url', 'drvng' ); ?>
                        <a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><img src="<?php echo esc_url( $header_dark_logo ); ?>" alt="<?php bloginfo('name'); ?>"></a>
                    </div>
                    </div>
                    <div class="right-column">
                        <!--Nav Box-->
                        <div class="nav-outer">
                            <!--Mobile Navigation Toggler-->
                            <div class="mobile-nav-toggler"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/icons/icon-bar.png" alt=""></div>

                            <!-- Main Menu -->
                            <nav class="main-menu navbar-expand-md navbar-light">
                                <div class="collapse navbar-collapse show clearfix" id="navbarSupportedContent">

                                </div>
                            </nav>
                        </div>
                    </div>                        
                </div>
            </div>
        </div>
    </div><!-- End Sticky Menu -->

    <!-- Mobile Menu  -->
    <div class="mobile-menu">
        <div class="menu-backdrop"></div>
        <div class="close-btn"><i class="icon flaticon-cancel"></i></div>
        
        <nav class="menu-box">
            <div class="nav-logo">
                <?php
                    if (has_custom_logo()) {
                        $drvng_custom_logo_id = get_theme_mod('custom_logo');
                        $drvng_logo_url       = wp_get_attachment_image_src($drvng_custom_logo_id, 'full');
                    ?>
                        <a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><img src="<?php echo esc_url($drvng_logo_url[0]); ?>" alt="<?php bloginfo('name'); ?>"></a>
                    <?php
                    } else {
                    ?>
                        <h1 class="site-title"><a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a></h1>
                    <?php
                    }
                ?>
            </div>
            <div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>

        </nav>
    </div><!-- End Mobile Menu -->

    <div class="nav-overlay">
        <div class="cursor"></div>
        <div class="cursor-follower"></div>
    </div>
    </header>
    <!-- End Main Header -->

    <!--Search Popup-->
    <div id="search-popup" class="search-popup">
    <div class="close-search theme-btn"><i class="flaticon-cancel"></i></div>
    <div class="popup-inner">
        <div class="overlay-layer"></div>
        <div class="search-form">
            <?php get_search_form(); ?>
        </div>
    </div>
</div>





