<?php
/**
 * Demo import functionality
 */

function drvng_import_files() {
	return array(
		array(
			'import_file_name' => 'drvng',
			'import_file_url' => 'https://html.tonatheme.com/wp/drvng/demo-content/drvng-content.xml',
			'import_widget_file_url' => 'https://html.tonatheme.com/wp/drvng/demo-content/widget.wie',
			'import_customizer_file_url' => 'https://html.tonatheme.com/wp/drvng/demo-content/option.dat',
			'import_preview_image_url' => 'https://html.tonatheme.com/wp/drvng/demo-content/demo-screenshot.png',
			'import_notice' => __( 'Please click on Import Demo Data to make your installation as you see in drvng preview site.', 'drvng' ),
			'preview_url' => 'https://html.tonatheme.com/wp/drvng',
		),
	);
}
add_filter( 'pt-ocdi/import_files', 'drvng_import_files' );

/**
 * Settings after demo content setup
 */
function drvng_after_import_setup() {
	// Assign menus to their locations.
	$main_menu = get_term_by( 'name', 'main-menu', 'nav_menu' );
	$footer_menu1 = get_term_by( 'name', 'footer-menu', 'nav_menu' );

	set_theme_mod(
		'nav_menu_locations',
		array(
			'primary' => $main_menu->term_id,
			'footer_menu' => $footer_menu1->term_id,
		)
	);

	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( 'Home' );
	$blog_page_id  = get_page_by_title( 'Blog' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );
}
add_action( 'pt-ocdi/after_import', 'drvng_after_import_setup' );
