<?php

/**
 * drvng functions for getting inline styles from theme customizer
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package drvng
 */

	function drvng_theme_customizer_scripts()
	{

		// drvng color option


		$drvng_inline_style = ':root {
			--theme-color: ' . get_theme_mod('theme_primary_color', sanitize_hex_color('#fb7500')) . ';
		}';

		wp_add_inline_style('drvng-default', $drvng_inline_style);
	}


add_action('wp_enqueue_scripts', 'drvng_theme_customizer_scripts');


if ( ! function_exists( 'drvng_posted_on' ) ) :
	/**
	 * Prints HTML with meta information for the current post-date/time.
	 */
	function drvng_posted_on() {
		$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
		if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
			$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time>';
		}

		$time_string = sprintf( $time_string,
			esc_attr( get_the_date( DATE_W3C ) ),
			esc_html( get_the_date() ),
			esc_attr( get_the_modified_date( DATE_W3C ) ),
			esc_html( get_the_modified_date() )
		);

		$posted_on = sprintf(
			/* translators: %s: post date. */
			esc_html_x( ' %s', 'post date', 'drvng' ),
			'' . $time_string . ''
		);

		echo '' . $posted_on . '';

	}
endif;











