<?php

/**
 * The main Template file
 *
 * @package drvng
 */

get_header();

if ( is_active_sidebar( 'default-sidebar' ) ) {
	$drvng_sidebar_active = true;
	$drvng_content_class = 'col-lg-8 col-12';
} else {
	$drvng_sidebar_active = false;
	$drvng_content_class = 'col-12';
}
?>

<?php get_template_part('template-parts/banner', 'section'); 

$drvng_blog_sidebar_position = get_theme_mod( 'drvng_blog_sidebar_position', 'order-2' );

?>


<div class="sidebar-page-container">
        <div class="auto-container">
            <div class="row">
                <?php if ( $drvng_sidebar_active ) : ?>          
                <div class="col-12 col-lg-4 <?php if ( $drvng_blog_sidebar_position ) : ?><?php echo  esc_attr($drvng_blog_sidebar_position) ?><?php endif; ?>">
                    <div class="sidebar blog-sidebar">
                        <?php dynamic_sidebar( 'default-sidebar' ); ?>
                    </div>
                </div>
                <?php endif; ?>
                <div class="<?php echo esc_attr( $drvng_content_class ); ?>">
                    <?php
                        if (have_posts()) {
                            while ( have_posts() ) {
                                the_post();
                                get_template_part( 'template-parts/content', get_post_format() );
                            }
                        } else {
                            get_template_part( 'template-parts/content', 'none' );
                        }					
                    ?>
                    <?php drvng_pagination(); ?>
                </div>                  
            </div>
        </div>
    </div>

<?php
get_footer();
