<?php

/**
 * The template for displaying single posts and pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package drvng
 */

get_header();

if ( is_active_sidebar( 'default-sidebar' ) ) {
	$drvng_sidebar_active = true;
	$drvng_content_class  = 'content-side col-lg-8 col-md-12 col-sm-12';
} else {
	$drvng_sidebar_active = false;
	$drvng_content_class  = 'content-side col-lg-12';
}

get_template_part( 'template-parts/banner', 'section' );
?>

<!--Sidebar Page Container-->
<div class="sidebar-page-container">
	<div class="auto-container">
		<div class="row clearfix">
			<!--Content Side-->
			<div class="<?php echo esc_attr( $drvng_content_class ); ?>">
				<!--Blog Single-->
				<div class="blog-single">
					<!-- single news Block -->
					<?php
					if ( have_posts() ) {
						while ( have_posts() ) {
							the_post();
							if ( is_single() ) {
								get_template_part( 'template-parts/content', 'single' );
							} else {
								get_template_part( 'template-parts/content', 'page' );
							}
						}
					} else {
						get_template_part( 'template-parts/content', 'none' );
					}
					?>					
				</div>
			</div>
			<!--Sidebar Side-->
			<?php
			if ( $drvng_sidebar_active ) :
				?>
				<div class="sidebar-side blog-sidebar right-sidebar col-lg-4 col-md-8 col-sm-12">
					<aside class="sidebar">
						<?php dynamic_sidebar( 'default-sidebar' ); ?>
					</aside>
				</div>
				<?php
			endif;
			?>
		</div>
	</div>
</div>
<?php
get_footer();
