<?php
/**
 * Banner Section
 *
 * @package drvng
 */

if ( has_post_thumbnail() ) {
	$drvng_banner_img_url = get_the_post_thumbnail_url( get_the_ID(), 'full' );
} else {
	$drvng_banner_img_url = '';
}
?>

<?php
if ( true == get_theme_mod( 'page_title_option', true ) ) :
			?>
<!--Page Title-->

<section class="page-title" style="background-image: url(<?php echo esc_url( $drvng_banner_img_url ) ?>)">
    <div class="auto-container">
        <div class="content-box">
            <div class="content-wrapper">
                <?php
                    if ( true == get_theme_mod( 'breadcrumb_option', true ) ) :
                        ?>
                        <ul class="bread-crumb">
                            <?php
                            if ( function_exists( 'bcn_display' ) ) {
                                bcn_display_list();
                            }
                            ?>
                        </ul>
                        <?php
                    endif;
                    ?>
                <div class="title">
                    <?php
                        if ( is_page() || is_single() ) {
                            the_title( '<h1>', '</h1>' );
                        } elseif ( ! is_front_page() && is_home() ) {
                            $drvng_blog_title = get_the_title( get_option( 'page_for_posts', true ) );
                            ?>
                        <h1><?php echo esc_html($drvng_blog_title); ?></h1>
                            <?php
                        } elseif ( is_home() ) {
                            ?>
                            <h1><?php esc_html_e( 'Blog', 'drvng' ); ?> </h1>
                                <?php
                        } elseif ( is_archive() ) {
                            the_archive_title( '<h1>', '</h1>' );
                        } elseif ( is_404() ){
                            ?>
                            <h1><?php esc_html_e( 'Couldn\'t Be Found', 'drvng' ); ?></h1>
                            <?php
                        } elseif ( is_search() ) {
                            $search_title = sprintf( '%s %s', __( 'Search result of : ', 'drvng' ), get_search_query() );
                            ?>
                            <h1><?php echo esc_html( $search_title ); ?></h1>
                            <?php
                        }

                        ?>
                </div>
            </div>
        </div>
    </div>
</section>

<?php
		endif;
		?>