<?php

/**
 * Single post Template
 *
 * @package drvng
 */

?>


<div id="post-<?php the_ID(); ?>" <?php post_class( array( 'news-block-three blog-single-post' ) ); ?>">
    <div class="inner-box">
        <div class="image">
            <?php if ( has_post_thumbnail() ) : ?>
            <div class="image">
                <?php the_post_thumbnail(); ?>
            </div>
        <?php endif; ?>
        </div>
        <div class="content">
            <ul class="post-meta">
                <li><i class="far fa-clock"></i> <?php drvng_posted_on(); ?> </li>
                <li><i class="far fa-user"></i> <?php echo esc_html__( 'By', 'drvng' ); ?> <?php echo get_the_author(); ?></li>
            </ul>
            <h4><?php the_title(); ?></h4>
            <div class="text">
                <?php
                the_content();
                wp_link_pages();
                ?>
            </div>
        </div>
        <?php if ( has_tag() || $blog_single_social ) { ?>
        <div class="post-tag">
            <div class="tag">
                <?php
                if ( get_the_tag_list() ) {
                ?>
                    <span class="tag-title"><?php esc_html_e( 'Tags', 'drvng' ); ?></span>
                    <?php 
                    echo get_the_tag_list();
                }
				?>
            </div>
        </div>
        <?php } 

        if ( '' !== get_the_author_meta( 'description' ) ){
            ?>
            <div class="author-box">
                <?php $drvng_author_id = get_the_author_meta( 'ID' ); ?>
                <div class="image"><img src="<?php echo esc_url( get_avatar_url( $drvng_author_id ) ); ?>" alt="<?php esc_attr_e( 'post author', 'drvng' ); ?>" /></div>
                <h4><?php the_author(); ?></h4>
                <div class="text"><?php echo esc_html( get_the_author_meta( 'description' ) ); ?></div>
            </div>
            <?php	
        }        
        ?>
    </div>
</div>

<!--Author Box-->
<?php


if ( comments_open() ) :
	comments_template();
endif;
