<?php
/**
 * Template Name: Blog Grid Layout
 *
 * @package drvng
 */
get_header();
?>
<?php get_template_part('template-parts/banner', 'section'); ?>

<!--Sidebar Page Container-->
<div class="sidebar-page-container">
	<div class="auto-container">
		<div class="row clearfix">
            <!--News Block Two-->
            <?php
            $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
                $grid_posts = new WP_Query( array(
                    'post_status' => array( 'publish', 'private' ),
                    'paged'       => $paged,
                ) );
                while ( $grid_posts->have_posts() ) {
                    $grid_posts->the_post();
                    get_template_part( 'template-parts/content', 'grid' );
                }
                wp_reset_postdata();
                ?>
                <div class="col-lg-12">
                <?php
                $links = paginate_links(
                    array(
                        'current'   => max( 1, get_query_var( 'paged' ) ),
                        'total'     => $grid_posts->max_num_pages,
                        'type'      => 'list',
                        'prev_text' => __( 'Prev', 'drvng' ),
                        'next_text' => __( 'Next', 'drvng' ),
                    )
                );
                $drvng_pagination = str_replace( "<ul class='page-numbers'>", '<ul class="styled-pagination text-center">', $links );
                echo wp_kses_post( $drvng_pagination );
                ?>
            </div>
		</div>
	</div>
</div>

<?php
get_footer();
